Page MenuHomePhabricator

Faulty optics on asw-b-eqiad:xe-1/1/2
Closed, ResolvedPublic

Description

From https://librenms.wikimedia.org/device/device=20/tab=port/port=1572/
and counters are increasing on:

ayounsi@asw-b-eqiad> show interfaces xe-1/1/2 extensive | match error    
  Link-level type: Ethernet, MTU: 9192, Speed: 10Gbps, Duplex: Full-Duplex, BPDU Error: None,
  MAC-REWRITE Error: None, Loopback: Disabled, Source filtering: Disabled, Flow control: Disabled
  Input errors:
    Errors: 8924575554, Drops: 0, Framing errors: 8924575554, Runts: 0, Policed discards: 0,
    L3 incompletes: 0, L2 channel errors: 0, L2 mismatch timeouts: 0, FIFO errors: 0,
    Resource errors: 0
  Output errors:
    Carrier transitions: 23, Errors: 0, Drops: 0, Collisions: 0, Aged packets: 0, FIFO errors: 0,
    HS link CRC errors: 0, MTU errors: 0, Resource errors: 0
    CRC/Align errors                8924575554                0
    FIFO errors

The other side doesn't see errors, so it's possible it's only false positive, but it should be replaced nonetheless.

The interface is part of an LACP bundle of 4 links, the remaining links have plenty of capacity.
Please reach to netops on IRC before swapping it for coordination.

If successful, errors should stay at 0 after clearing the counters and interface should pass traffic.

Event Timeline

ayounsi created this task.Apr 4 2017, 9:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2017, 9:32 PM
Reedy removed subscribers: netops, ops-eqiad.
Restricted Application added a project: Operations. · View Herald TranscriptApr 4 2017, 10:36 PM

Mentioned in SAL (#wikimedia-operations) [2017-04-10T15:47:25Z] <cmjohnson1> troubleshooting link cr2-eqiad:xe-3/0/1 {#2014 to asw-b-eqiad:xe-1/1/2 per T162199

ayounsi closed this task as Resolved.Apr 10 2017, 5:59 PM

Interface has been stable. Everything looks good. Thanks!